require('NPCs/MainCreationMethods');
BaseGameCharacterDetails.DoProfessions = function()

	local fieldMedic = ProfessionFactory.addProfession("FieldMedic", getText("UI_prof_FieldMedic"), "profession_FieldMedic", -4);
	  fieldMedic:addXPBoost(Perks.Doctor, 2)
	  fieldMedic:addXPBoost(Perks.SmallBlade, 1)
	  fieldMedic:addXPBoost(Perks.Aiming, 1)
	  fieldMedic:addXPBoost(Perks.Reloading, 2)

	local hitman = ProfessionFactory.addProfession("hitman", getText("UI_prof_hitman"), "profession_hitman", -6);
	  hitman:addXPBoost(Perks.Nimble, 2)
	  hitman:addXPBoost(Perks.Lightfoot, 1)
	  hitman:addXPBoost(Perks.Reloading, 2)
	  hitman:addXPBoost(Perks.Aiming, 2)
	  hitman:addXPBoost(Perks.Sneak, 1)

	local detective = ProfessionFactory.addProfession("detective", getText("UI_prof_detective"), "profession_detective", -4);
	  detective:addXPBoost(Perks.Nimble, 2)
	  detective:addXPBoost(Perks.Lightfoot, 1)
	  detective:addXPBoost(Perks.Sneak, 1)
	  detective:addXPBoost(Perks.Aiming, 2)
	  
	local marksman = ProfessionFactory.addProfession("marksman", getText("UI_prof_marksman"), "profession_marksman", -8);
	  marksman:addXPBoost(Perks.Nimble, 2)
	  marksman:addXPBoost(Perks.Reloading, 1)
	  marksman:addXPBoost(Perks.Aiming, 3)
	  marksman:addFreeTrait("Marksman");
	  
	local cook = ProfessionFactory.addProfession("cook", getText("UI_prof_cook"), "profession_cook", -2);
	  cook:addXPBoost(Perks.Cooking, 2)
	  cook:addXPBoost(Perks.Maintenance, 1)
	  cook:addXPBoost(Perks.SmallBlade, 1)
	  cook:addFreeTrait("Cook2");
      cook:getFreeRecipes():add("Make Cake Batter");
      cook:getFreeRecipes():add("Make Pie Dough");
      cook:getFreeRecipes():add("Make Bread Dough");

	  
	local profList = ProfessionFactory.getProfessions()
	for i=1,profList:size() do
		local prof = profList:get(i-1)
		BaseGameCharacterDetails.SetProfessionDescription(prof)
	end
end


Events.OnGameBoot.Add(BaseGameCharacterDetails.DoProfessions);